Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-12-2021 13:49:40

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

[ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Bonjour,
depuis que j'ai installé debian 11 bullseye, lorsque que je connecte mes deux portables en sftp en passant par thunar, je peux me connecter au portable A à partir du portable B mais une fois connecté, sur le portable B je ne peux ouvrir mes fichiers qu'en lecture seule. Ce sont des fichiers LO et quand j'essaie de les ouvrir, j'ai un message qui me dit UTILISATEUR INCONNU. Et d'ouvrir une copie ou en lecture seule. Tous les fichiers nécessaires sont bien installés pour sftp dans SYNAPTIC.
Je n'avais pas ce souci avant d'installer debian 11 bullseye. J'étais alors avec LINUXMINT. Et ça se passait via Thunar et non par le terminal.
J'ai lu pas mal sur le sujet et je n'arrive pas à comprendre ce qui cloche.  Je suis en xfce.
Est-ce que vous voyez ce que je ne vois pas?
Merci et A+

Dernière modification par lacktchou (28-12-2021 01:26:01)


La Vie c'est la Vie!

Hors ligne

#2 21-12-2021 15:35:46

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

hello
Peut être qu'avant tes utilisateurs avait le meme UUID et que maintenant se ne soit plus le cas?
regarde sur chaque portable avec le résultat de

id


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 21-12-2021 17:42:58

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Bonjour Croutons,
même uid dans les deux portables ( A et B )
kernal_panic.gifquestion.gif

La Vie c'est la Vie!

Hors ligne

#4 21-12-2021 17:59:17

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Bonjour,
j'ai voulu installer simplescreenrecorder pour montrer ce qui se passe quand je me connecte en sftp.
Ça me dit que je n'ai pas la permission pour installer ce logiciel, pourtant je suis administrateur et non utilisateur. crash.gif
mini_21122105150126028817720633.png
A+

La Vie c'est la Vie!

Hors ligne

#5 21-12-2021 18:49:17

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Rebonjour,
voici un enregistrement de simplescreenrecorder pour bien illustrer mon souci:
https://www.casimages.com/vd/UEw0reGHjXb

A+

La Vie c'est la Vie!

Hors ligne

#6 25-12-2021 19:25:05

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Bonjour,
après avoir vérifier un grand nombre de situations, j'ai constaté que ce n'est qu'avec Libre Office que se produit mon souci.
Je peux accéder au portable B à partir du portable A et inversement. Je peux ouvrir tout sauf les fichiers Libre Office.
je vais attendre vos commentaires avant de clore le sujet.
En attendant, merci pour vos aides.

La Vie c'est la Vie!

Hors ligne

#7 25-12-2021 21:12:33

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Hello
de ce que je vois c'est un problème de fichier en cours d'utilisation par un autre utilisateur qui bloque son utilisation

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#8 26-12-2021 00:43:22

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Bonjour Croutons,
non, ce n'est pas ça. Il n'y a pas de fichiers LO ouvert sur le portable A quand j'essaie d'en ouvrir un sur le portable B en passant par sftp. hmm

Dernière modification par lacktchou (26-12-2021 00:45:29)


La Vie c'est la Vie!

Hors ligne

#9 26-12-2021 01:03:09

lagrenouille
Adhérent(e)
Lieu : Saturne
Distrib. : debian buster_bulseyes
Noyau : d'olive
(G)UI : ça dépends des jours
Inscription : 28-03-2012
Site Web

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

salut
comme le dit Crouton, vérifie quand même

ps -e | qrep office



en ssh ça donne quoi ?
parfois donner les droits via sftp, ça merde, via ssh ça merde jamais

Dernière modification par lagrenouille (26-12-2021 01:08:35)


admin dans le chaton : https://le-pic.org....
.
Une crise ne devient catastrophique que si nous y répondons par des idées toutes faites
Hannah Arendt

Hors ligne

#10 26-12-2021 01:21:52

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

michel@debian:~$ ps -e | qrep office
Command 'qrep' not found, did you mean:
  command 'mrep' from deb mblaze
  command 'prep' from deb loki
  command 'grep' from deb grep
  command 'rrep' from deb rrep
  command 'rep' from deb rep
Try: sudo apt install <deb name>
michel@debian:~$




[/quote]


La Vie c'est la Vie!

Hors ligne

#11 26-12-2021 01:28:46

lagrenouille
Adhérent(e)
Lieu : Saturne
Distrib. : debian buster_bulseyes
Noyau : d'olive
(G)UI : ça dépends des jours
Inscription : 28-03-2012
Site Web

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

c'est grep et pas qrep       smile  pardon pour la faute de frappe

Dernière modification par lagrenouille (26-12-2021 01:37:45)


admin dans le chaton : https://le-pic.org....
.
Une crise ne devient catastrophique que si nous y répondons par des idées toutes faites
Hannah Arendt

Hors ligne

#12 26-12-2021 01:54:26

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Bonjour lagrenouille,
j'ai fait la commande corrigée et rien d'ouvert.
J'ai ouvert un fichier LO et refait la commande et:

michel@debian:~$ ps -e | grep office
  17987 ?        00:00:02 soffice.bin
 


Puis j'ai été voir dans .bin LO
Voici le résultat:


#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This file incorporates work covered by the following license notice:
#
#   Licensed to the Apache Software Foundation (ASF) under one or more
#   contributor license agreements. See the NOTICE file distributed
#   with this work for additional information regarding copyright
#   ownership. The ASF licenses this file to you under the Apache
#   License, Version 2.0 (the "License"); you may not use this file
#   except in compliance with the License. You may obtain a copy of
#   the License at http://www.apache.org/licenses/LICENSE-2.0 .
#

# use POSIX locale for well-defined tool output
LO_SAVE_LC_ALL="$LC_ALL"
LC_ALL=C
export LC_ALL

#
# STAR_PROFILE_LOCKING_DISABLED=1
# export STAR_PROFILE_LOCKING_DISABLED
#

# file locking now enabled by default
SAL_ENABLE_FILE_LOCKING=1
export SAL_ENABLE_FILE_LOCKING

# uncomment line below to disable anti aliasing of fonts
# SAL_ANTIALIAS_DISABLE=true; export SAL_ANTIALIAS_DISABLE

# uncomment line below if you encounter problems starting soffice on your system
# SAL_NO_XINITTHREADS=true; export SAL_NO_XINITTHREADS

#@JITC_PROCESSOR_TYPE_EXPORT@

# resolve installation directory
sd_cwd=$(pwd)
sd_res="$0"
while [ -h "$sd_res" ] ; do
    sd_dirname=$(dirname "$sd_res")
    cd "$sd_dirname" || exit $?
    sd_basename=$(basename "$sd_res")
    sd_res=$(ls -l "$sd_basename" | sed "s/.*$sd_basename -> //g")
done
sd_dirname=$(dirname "$sd_res")
cd "$sd_dirname" || exit $?
sd_prog=$(pwd)
cd "$sd_cwd" || exit $?

# linked build needs additional settings
if [ -e "${sd_prog}/ooenv" ] ; then
    # shellcheck source=../../instsetoo_native/ooenv
    . "${sd_prog}/ooenv"
fi

# try to get some debug output?
GDBTRACECHECK=
STRACECHECK=
VALGRINDCHECK=
RRCHECK=

# count number of selected checks; only one is allowed
checks=
EXTRAOPT=
# force the --valgrind option if the VALGRIND variable is set
test -n "$VALGRIND" && EXTRAOPT="--valgrind"

# force the --record option if the RR variable is set
test -n "$RR" && EXTRAOPT="--record"

for arg in "$@" $EXTRAOPT ; do
    case "$arg" in
        --record)
            if which rr >/dev/null 2>&1 ; then
                # smoketest may already be recorded => use ignore-nested
                RRCHECK="rr record --ignore-nested"
                checks="c$checks"
            else
                echo "Error: Can't find the tool \"rr\", --record option will be ignored."
                exit 1
            fi
            ;;
        --backtrace)
            if which gdb >/dev/null 2>&1 ; then
                GDBTRACECHECK="gdb -nx --command=$sd_prog/gdbtrace --args"
                checks="c$checks"
            else
                echo "Error: Can't find the tool \"gdb\", --backtrace option will be ignored."
                exit 1
            fi
            ;;
        --strace)
            if which strace >/dev/null 2>&1 ; then
                STRACECHECK="strace -o strace.log -f -tt -s 256"
                checks="c$checks"
            else
                echo "Error: Can't find the tool \"strace\", --strace option will be ignored."
                exit 1;
            fi
            ;;
         --valgrind)
            test -n "$VALGRINDCHECK" && continue;
            if which valgrind >/dev/null 2>&1 ; then
                # another valgrind tool might be forced via the environment variable
                test -z "$VALGRIND" && VALGRIND="memcheck"
                # --trace-children-skip is pretty useful but supported only with valgrind >= 3.6.0
                valgrind_ver=$(valgrind --version | sed -e "s/valgrind-//")
                valgrind_ver_maj=$(echo "$valgrind_ver" | awk -F. '{ print $1 }')
                valgrind_ver_min=$(echo "$valgrind_ver" | awk -F. '{ print $2 }')
                valgrind_skip=
                if [ "$valgrind_ver_maj" -gt 3 ] || ( [ "$valgrind_ver_maj" -eq 3 ] && [ "$valgrind_ver_min" -ge 6 ] ) ; then
                    valgrind_skip='--trace-children-skip=*/java,*/gij'
                fi
                # finally set the valgrind check
                VALGRINDCHECK="valgrind --tool=$VALGRIND --trace-children=yes $valgrind_skip --num-callers=50 --error-limit=no"
                echo "use kill -SIGUSR2 pid to dump traces of active allocations"
                checks="c$checks"
                case "$VALGRIND" in
                helgrind|memcheck|massif|exp-dhat)
                    export G_SLICE=always-malloc
                    export GLIBCXX_FORCE_NEW=1
                    ;;
                callgrind)
                    unset MALLOC_CHECK_ MALLOC_PERTURB_ G_SLICE
                    export SAL_DISABLE_FLOATGRAB=1
                    export OOO_DISABLE_RECOVERY=1
                    export SAL_DISABLE_WATCHDOG=1
                    export LD_BIND_NOW=1
                    ;;
                esac
            else
                echo "Error: Can't find the tool \"valgrind\", --valgrind option will be ignored"
                exit 1
            fi
            ;;
    esac
done

if echo "$checks" | grep -q "cc" ; then
    echo "Error: The debug options --record, --backtrace, --strace, and --valgrind cannot be used together."
    echo "       Please, use them one by one."
    exit 1;
fi

case "$(uname -s)" in
OpenBSD)
# this is a temporary hack until we can live with the default search paths
    LD_LIBRARY_PATH="$sd_prog${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
    JAVA_HOME=$(javaPathHelper -h libreoffice-java 2> /dev/null)
    export LD_LIBRARY_PATH
    if [ -n "${JAVA_HOME}" ]; then
        export JAVA_HOME
    fi
    ;;
NetBSD|DragonFly)
# this is a temporary hack until we can live with the default search paths
    LD_LIBRARY_PATH="$sd_prog${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
    export LD_LIBRARY_PATH
    ;;
AIX)
    LIBPATH="$sd_prog${LIBPATH:+:$LIBPATH}"
    export LIBPATH
    ;;
esac

# restore locale setting, avoiding to export empty LC_ALL, s. tdf#130080
if [ -n "$LO_SAVE_LC_ALL" ]; then
    LC_ALL="$LO_SAVE_LC_ALL"
else
    unset LC_ALL
fi

# run soffice.bin directly when you want to get the backtrace
if [ -n "$GDBTRACECHECK" ] ; then
    exec $GDBTRACECHECK "$sd_prog/soffice.bin" "$@"
fi

# valgrind --log-file=valgrind.log does not work well with --trace-children=yes
if [ -n "$VALGRINDCHECK" ] && [ -z "$VALGRIND" ] ; then
    echo "redirecting the standard and the error output to valgrind.log"
    exec > valgrind.log 2>&1
fi

# oosplash does the rest: forcing pages in, javaldx etc. are
exec $RRCHECK $VALGRINDCHECK $STRACECHECK "$sd_prog/oosplash" "$@"
 


J'ai vu FILE LOCKING


La Vie c'est la Vie!

Hors ligne

#13 26-12-2021 02:07:17

lagrenouille
Adhérent(e)
Lieu : Saturne
Distrib. : debian buster_bulseyes
Noyau : d'olive
(G)UI : ça dépends des jours
Inscription : 28-03-2012
Site Web

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

tes fichiers office ont bien le droit de lecture pour tout le monde ?
je travaille qu'en ssh, aussi bien sur des serveurs externes, que sur mes ordis perso
mais là j'ai fait un essai en sftp avec thunar et pas de problème pour lire su l'autre bécanne

admin dans le chaton : https://le-pic.org....
.
Une crise ne devient catastrophique que si nous y répondons par des idées toutes faites
Hannah Arendt

Hors ligne

#14 26-12-2021 02:20:11

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Salut!
comment je fais pour savoir si mes fichiers LO ont le droit de lecture pour tout le monde?
Voici un fichier LO sur le portable A que je ne peux pas ouvrir sur le portable B.
Voici ce que j'obtiens tel que je le montrais sur le message #5
https://nsm09.casimages.com/img/2021/12 … 724995.png

La Vie c'est la Vie!

Hors ligne

#15 26-12-2021 02:26:57

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

C'est le 1er Noël que je passe en communiquant avec Saturne !scratchhead.gif

La Vie c'est la Vie!

Hors ligne

#16 26-12-2021 11:31:04

lagrenouille
Adhérent(e)
Lieu : Saturne
Distrib. : debian buster_bulseyes
Noyau : d'olive
(G)UI : ça dépends des jours
Inscription : 28-03-2012
Site Web

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

tes fichiers sont à 777, lecture et écriture pour tout le monde
donc c'est pas ça...

admin dans le chaton : https://le-pic.org....
.
Une crise ne devient catastrophique que si nous y répondons par des idées toutes faites
Hannah Arendt

Hors ligne

#17 26-12-2021 11:39:53

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

les utilisateurs des 2 portables on été créé dans le même ordre et se trouve par chance avec le même UUID donc oui il ont le droit d'utiliser le fichier
Tiens regarde lu ici
https://ask.libreoffice.org/t/how-to-di … ntly/54829

Mon cas d'utilisation est le suivant : j'ai un certain nombre de fichiers LibreOffice sur un disque NAS ; cependant, lorsque j'essaie d'éditer ces fichiers, j'obtiens une fenêtre contextuelle m'indiquant que LibreOffice ne peut ouvrir ces fichiers qu'en lecture seule. Pour autant que je sache, rien n'empêche LibreOffice de créer des fichiers verrouillés si nécessaire, mais il y a manifestement un problème car tout fonctionne bien lorsque je modifie des fichiers sur un disque dur local.

Ceci étant dit, je n'ai pas vraiment besoin du verrouillage des fichiers ; je suis un utilisateur à domicile qui accède à ces fichiers à partir d'un seul PC, personne d'autre ne les éditera ; la solution simple pour moi est d'éditer le fichier /usr/bin/soffice et de commenter les lignes :

    SAL_ENABLE_FILE_LOCKING=1
    export > SAL_ENABLE_FILE_LOCKING

Cela fonctionne bien jusqu'à ce que LibreOffice se mette à jour et insiste pour annuler mon édition. Je dois alors rééditer le fichier soffice et commenter à nouveau les lignes. C'est très frustrant.

Sur mon système, le fichier soffice est en fait situé dans /usr/lib/libreoffice/program/soffice ; j'ai modifié ce fichier en lecture seule (c'est-à-dire -r-xr-xr-x) mais cela n'a pas fonctionné et je cherche donc de l'aide pour résoudre ce problème.

Soit des conseils sur la façon de faire fonctionner le verrouillage des fichiers sur un lecteur NAS NFS (hébergé sur un serveur Ubuntu) OU comment remplacer les paramètres dans le fichier soffice afin qu'ils persistent lors des mises à jour de LibreOffice.

Merci d'avance.

Traduit avec www.DeepL.com/Translator (version gratuite)


Dans libre office cliquer sur le menu outils puis options
Déplier arborescence Libreoffice puis aller sur avancé , cliquer sur le bouton ouvrir la configuration avancées
Dans le champ recherche tapper uselocking puis cliquer sur rechercher
selectionner la ligne et cliquer sur éditer pour passer la valeur de true à false  valider les changements avec le bouton Valider
b4b9c960868351f8d8ffa6a353fa1660021eaa1d.png

Dernière modification par Croutons (26-12-2021 12:02:06)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#18 26-12-2021 12:04:49

lagrenouille
Adhérent(e)
Lieu : Saturne
Distrib. : debian buster_bulseyes
Noyau : d'olive
(G)UI : ça dépends des jours
Inscription : 28-03-2012
Site Web

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

c'est une usine à gaz cet office, je me demande si je vais pas le virer...
j'utilise de plus en plus souvent abiword pour ouvrir ce genre de fichier

admin dans le chaton : https://le-pic.org....
.
Une crise ne devient catastrophique que si nous y répondons par des idées toutes faites
Hannah Arendt

Hors ligne

#19 27-12-2021 15:48:18

lacktchou
Membre
Lieu : La Patrie, Québec
Distrib. : Debian GNU/Linux 11 (bullseye)
Noyau : Linux 5.10.0-9-amd64
(G)UI : Xfwm4
Inscription : 02-11-2021

Re : [ Résolu ] Je n'ai plus accès à mes fichiers en sftp

Salut Croutons
Merci pour ton information, je peux maintenant ouvrir un fichier LO sur le portable A à partir du portable B mais je ne peux pas y faire de changement. Voici ce que ça donne:
mini_21122703003626028817725945.png

@lagrenouille
J'ai installé Abiword et Gnumeric: avec eux, ça va.  Merci

La Vie c'est la Vie!

Hors ligne

Pied de page des forums